summarylogtreecommitdiffstats
path: root/emacs-with-editor-git.install
diff options
context:
space:
mode:
authorEsben Haabendal2016-01-31 09:00:31 +0100
committerEsben Haabendal2016-01-31 09:02:21 +0100
commitd6b8754f28421c1f6d326785d47e66eec86af269 (patch)
tree2daf4ddbc9aa45c6ac17fbea769f11e7e81d18e2 /emacs-with-editor-git.install
downloadaur-d6b8754f28421c1f6d326785d47e66eec86af269.tar.gz
Initial version
Diffstat (limited to 'emacs-with-editor-git.install')
-rw-r--r--emacs-with-editor-git.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/emacs-with-editor-git.install b/emacs-with-editor-git.install
new file mode 100644
index 000000000000..10c08d4ce5b4
--- /dev/null
+++ b/emacs-with-editor-git.install
@@ -0,0 +1,24 @@
+infodir=/usr/share/info
+filelist=(with-editor.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+op=$1
+shift
+$op $*